﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram;

namespace Incident_node_selected
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Syncfusion.Windows.Forms.Diagram.Rectangle rect = new Syncfusion.Windows.Forms.Diagram.Rectangle(100, 100, 100, 75);
            rect.Name = "Rectangle Node";
            this.diagram1.Model.AppendChild(rect);

            Syncfusion.Windows.Forms.Diagram.Ellipse ellp = new Ellipse(300, 300, 100, 75);
            ellp.Name = "Ellipse Node";
            ellp.LineStyle.LineColor = Color.Violet;
            this.diagram1.Model.AppendChild(ellp);

            LineConnector lcon = new LineConnector(new PointF(100, 200), new PointF(400, 200));
            this.diagram1.Model.AppendChild(lcon);
            
            this.diagram1.View.SelectionList.Clear();
            this.diagram1.EventSink.NodeSelected += new NodeSelectedEventHandler(EventSink_NodeSelected);
            
        }

        void EventSink_NodeSelected(NodeSelectedEventArgs evtArgs)
        {
            Node node = evtArgs.Node;
            label2.Text = node.Name;
            
        }

        
    }
}
